-- =============================================  
-- Author:  <Author,,Name>  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
CREATE procedure [C6MartPeriodico].[DM_ANAG_PRODOTTI_VALUTE]  
AS  
BEGIN  
 SET NOCOUNT ON;   
 DECLARE @ID_ELAB INT  
 DECLARE @TIPO_ELAB VARCHAR(1)  
 SET @ID_ELAB = C6MARTPERIODICO.GETIDELAB()  
 SET @TIPO_ELAB = C6MARTPERIODICO.GETTIPOELAB()  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'DM_ANAG_PRODOTTI_VALUTE',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
 TRUNCATE TABLE [C6MartPeriodico].ANAG_PRODOTTI_VALUTE  
 INSERT INTO [C6MartPeriodico].[ANAG_PRODOTTI_VALUTE]  
 SELECT   
  CATITEMREF.CATALOGUEID AS COD_PRODOTTO,  
  VALUTE.DIVISA,  
  VALUTE.PESO,  
  @ID_ELAB AS ID_ELAB,  
  @TIPO_ELAB AS TIPO_ELAB  
 FROM C6STAGINGPERIODICO.CATITEMREF  
 INNER JOIN (  
  SELECT CATITEMREF.CATALOGUEID, MAX(OID$) AS OID  
  FROM C6STAGINGPERIODICO.CATITEMREF  
  GROUP BY CATITEMREF.CATALOGUEID  
 ) DOPPICATITEMREF ON CATITEMREF.OID$ = DOPPICATITEMREF.OID  
 INNER JOIN --SELECT TOP 1 * FROM  
  [C6StagingPeriodico].[RDR_VALUTE_DB_DTGIORNALIERI] VALUTE  
 ON VALUTE.CHIAVEPRODOTTO = CATITEMREF.OID$  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'DM_ANAG_PRODOTTI_VALUTE' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE  
   WHERE  
    Nome = 'DM_ANAG_PRODOTTI_VALUTE'  
  )  
END